<?php
/*
 * The script retrieves the preview of one existing job
 * For more information please see documentation https://service.fax-api.de/4.0/rest/#tag/Job-Details/operation/getJobPreviews
 */

$restUrl			= "https://service.fax-api.de/4.0/rest/";
$restResource		= "jobs/";
$restResourceMethod	= "/preview";

/*
 * STEP A:
 * Set needed script variables.
 */
$token	= 'xxx'; //type here your api token
$jobID	= 'xxx'; //type here the id of the job you want to query

/*
 * STEP B:
 * Define URL
 */
$url = $restUrl.$restResource.$jobID.$restResourceMethod;

/* 
 * STEP C:
 * Create and set curl
 */
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl, CURLOPT_HTTPHEADER, [
	'Content-Type: application/json',
	'X-Auth-Token: '.$token
] );

/* 
 * STEP D:
 * Execute call 
 */
$result = curl_exec($curl);
if(!$result){die("Connection Failure");}
curl_close($curl);

/* 
 * STEP E: 
 * Beautify result for readable output in console
 */
$json = json_decode($result,true);
$jsonBeauty = json_encode($json, JSON_PRETTY_PRINT );
echo $jsonBeauty;